#30 JSONDecodeError
Opened 2 years ago by szydell. Modified 2 years ago

[szydell@greta kernel-tests]$ sudo ./runtests.sh -t stress
Test suite called with stress
./default/cachedrop FAIL
./default/insert_leap_second PASS
./default/libhugetlbfs SKIP
./default/memfd PASS
./default/modsign PASS
./default/mq-memory-corruption PASS
./default/paxtest PASS
./default/posix_timers PASS
./default/selinux-dac-controls PASS
./default/stack-randomness PASS
./default/sysfs-perms PASS
./default/timer-overhead PASS
./stress/ltp FAIL
./stress/rcutorture PASS

Test suite complete FAIL

Your log file is being submitted...
Traceback (most recent call last):
File "/usr/lib/python3.7/site-packages/fedora/client/openidbaseclient.py", line 249, in send_request
data = output.json()
File "/usr/lib/python3.7/site-packages/requests/models.py", line 897, in json
return complexjson.loads(self.text, **kwargs)
File "/usr/lib64/python3.7/json/init.py", line 348, in loads
return _default_decoder.decode(s)
File "/usr/lib64/python3.7/json/decoder.py", line 337, in decode
obj, end = self.raw_decode(s, idx=_w(s, 0).end())
File "/usr/lib64/python3.7/json/decoder.py", line 355, in raw_decode
raise JSONDecodeError("Expecting value", s, err.value) from None
json.decoder.JSONDecodeError: Expecting value: line 1 column 1 (char 0)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "./fedora_submit.py", line 52, in <module>
files= { 'test_result': ('logfile', open(log, 'rb'), 'text/x-log'),}
File "/usr/lib/python3.7/site-packages/fedora/client/openidbaseclient.py", line 258, in send_request
'output': to_bytes(output.text),
fedora.client.ServerError: ServerError(https://apps.fedoraproject.org/kerneltest/upload/anonymous, 413, Error returned from json module while processing b'https://apps.fedoraproject.org/kerneltest/upload/anonymous': b'Expecting value: line 1 column 1 (char 0)'
b'<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">\n<title>413 Request Entity Too Large</title>\n

Request Entity Too Large

\n

The data value transmitted exceeds the capacity limit.

\n')


Login to comment on this ticket.

Metadata